Bug 149326 - `iwlist XXX scan` returns channel off-by-one
`iwlist XXX scan` returns channel off-by-one
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: wireless-tools (Show other bugs)
3
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-22 09:55 EST by kevin reichhart
Modified: 2008-02-06 18:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-06 18:49:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kevin reichhart 2005-02-22 09:55:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041111 Firefox/1.0

Description of problem:
I have three access points running on channels 1, 6, and 11.  iwlist eth1 scan shows them on 2, 7 and 12.



Version-Release number of selected component (if applicable):
wireless-tools-28-0.pre4.1.fc3

How reproducible:
Always

Steps to Reproduce:
1. iwlist eth1 scan
2.
3.
  

Actual Results:  [root@antelope ~]# iwlist eth1 scan
eth1      Scan completed :
          Cell 01 - Address: XX:XX:XX:XX:XX:X1
                    ESSID:"guest"
                    Frequency:2.467 GHz (Channel 12)
                    Quality:0/160  Signal level=-107 dBm  Noise level=-256 dBm
                    Encryption key:off
          Cell 02 - Address: XX:XX:XX:XX:XX:X2
                    ESSID:"guest"
                    Mode:Master
                    Frequency:2.417 GHz (Channel 2)
                    Quality:0/160  Signal level=-81 dBm  Noise level=-256 dBm
                    Encryption key:off
                    Bit Rate:1 Mb/s
                    Bit Rate:2 Mb/s
                    Bit Rate:5.5 Mb/s
                    Bit Rate:11 Mb/s
          Cell 03 - Address: XX:XX:XX:XX:XX:X3
                    ESSID:"guest"
                    Mode:Master
                    Frequency:2.442 GHz (Channel 7)
                    Quality:0/160  Signal level=-18 dBm  Noise level=-256 dBm
                    Encryption key:off
                    Bit Rate:1 Mb/s
                    Bit Rate:2 Mb/s
                    Bit Rate:5.5 Mb/s
                    Bit Rate:11 Mb/s


Expected Results:  [root@antelope ~]# iwlist eth1 scan
eth1      Scan completed :
          Cell 01 - Address: XX:XX:XX:XX:XX:X1
                    ESSID:"guest"
                    Frequency:2.467 GHz (Channel 11)
                    Quality:0/160  Signal level=-107 dBm  Noise level=-256 dBm
                    Encryption key:off
          Cell 02 - Address: XX:XX:XX:XX:XX:X2
                    ESSID:"guest"
                    Mode:Master
                    Frequency:2.417 GHz (Channel 1)
                    Quality:0/160  Signal level=-81 dBm  Noise level=-256 dBm
                    Encryption key:off
                    Bit Rate:1 Mb/s
                    Bit Rate:2 Mb/s
                    Bit Rate:5.5 Mb/s
                    Bit Rate:11 Mb/s
          Cell 03 - Address: XX:XX:XX:XX:XX:X3
                    ESSID:"guest"
                    Mode:Master
                    Frequency:2.442 GHz (Channel 6)
                    Quality:0/160  Signal level=-18 dBm  Noise level=-256 dBm
                    Encryption key:off
                    Bit Rate:1 Mb/s
                    Bit Rate:2 Mb/s
                    Bit Rate:5.5 Mb/s
                    Bit Rate:11 Mb/s


Additional info:
Comment 1 Bill Nottingham 2005-02-22 11:29:29 EST
See also bug 130771
Comment 2 Pavel Roskin 2005-05-23 11:52:55 EDT
I believe the expectations of the reporter are wrong.  Channel 1 is 2.412 GHz,
not 2.417 GHz.  I don't see any off-by-one errors with CVS hostap driver and
iwlist from wireless-tools-28-0.pre4.3

I believe it's a driver issue.
Comment 3 Matthew Miller 2006-07-10 19:07:15 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 petrosyan 2008-02-06 18:49:53 EST
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release please reopen this bug and assign it to the corresponding
Fedora version.

Note You need to log in before you can comment on or make changes to this bug.